获取 educationSchool

命名空间:microsoft.graph

读取 educationSchool 对象的属性和 关系。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) EduRoster.ReadBasic
委派(个人 Microsoft 帐户) 不支持。
应用程序 EduRoster.Read.All、EduRoster.ReadWrite.All

HTTP 请求

GET /education/schools/{educationSchoolId}

可选的查询参数

此方法支持与 Get User 相同的 OData 查询参数。 若要了解一般信息,请参阅 OData 查询参数

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法会在响应正文中返回 200 OK 响应代码和 educationSchool 对象。

示例

请求

GET https://graph.microsoft.com/v1.0/education/schools/{educationSchoolId}

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "value": {
    "@odata.type": "#microsoft.graph.educationSchool",
    "id": "1c23c12e-c12e-1c23-2ec1-231c2ec1231c",
    "displayName": "String",
    "description": "String",
    "externalSource": "String",
    "externalSourceDetail": "String",
    "principalEmail": "String",
    "principalName": "String",
    "externalPrincipalId": "String",
    "lowestGrade": "String",
    "highestGrade": "String",
    "schoolNumber": "String",
    "externalId": "String",
    "phone": "String",
    "fax": "String",
    "createdBy": {
      "@odata.type": "microsoft.graph.identitySet"
    },
    "address": {
      "@odata.type": "microsoft.graph.physicalAddress"
    }
  }
}